Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/usr.bin/sys_info show the verbose commands for bozohttpd and...
details: https://anonhg.NetBSD.org/src/rev/662574e2627a
branches: trunk
changeset: 935947:662574e2627a
user: reed <reed%NetBSD.org@localhost>
date: Tue Jul 14 01:01:05 2020 +0000
description:
show the verbose commands for bozohttpd and calendar too
And bump the version.
diffstat:
usr.bin/sys_info/sys_info.sh | 8 ++++----
1 files changed, 4 insertions(+), 4 deletions(-)
diffs (38 lines):
diff -r 99a3230bf5d8 -r 662574e2627a usr.bin/sys_info/sys_info.sh
--- a/usr.bin/sys_info/sys_info.sh Tue Jul 14 00:45:52 2020 +0000
+++ b/usr.bin/sys_info/sys_info.sh Tue Jul 14 01:01:05 2020 +0000
@@ -1,6 +1,6 @@
#! /bin/sh
-# $NetBSD: sys_info.sh,v 1.17 2017/09/28 18:08:04 agc Exp $
+# $NetBSD: sys_info.sh,v 1.18 2020/07/14 01:01:05 reed Exp $
# Copyright (c) 2016 Alistair Crooks <agc%NetBSD.org@localhost>
# All rights reserved.
@@ -26,7 +26,7 @@
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
-SYS_INFO_VERSION=20170928
+SYS_INFO_VERSION=20200714
PATH=$(sysctl -n user.cs_path)
export PATH
@@ -110,7 +110,7 @@
run "named -v | awk '{ gsub(\"-\", \"\", \$2); gsub(\"P\", \"pl\", \$2); print tolower(\$1) \"-\" \$2 }'"
$all || return 0 ;&
bozohttpd|httpd)
- v=$(run "${destdir}/usr/libexec/httpd -G" 2>/dev/null)
+ v=$(run "${destdir}/usr/libexec/httpd -G")
case "${v}" in
"")
run "strings -a ${destdir}/usr/libexec/httpd | awk -F/ '\$1 == \"bozohttpd\" && NF == 2 { print \$1 \"-\" \$2; exit }'"
@@ -124,7 +124,7 @@
run "bzip2 --help 2>&1 | awk '{ sub(\",\", \"\", \$7); print \"bzip2-\" \$7; exit }'"
$all || return 0 ;&
calendar)
- v=$(run "calendar -v" 2>/dev/null || true)
+ v=$(run "calendar -v" || true)
case "${v}" in
"") printf '%s\n' "calendar-20150701" ;;
*) printf '%s\n' "${v}" ;;
Home |
Main Index |
Thread Index |
Old Index